### Struct

# GtkSource Encoding

#### Description [src]

    struct GtkSourceEncoding {
      /* No available fields */
    }

Character encoding.

The `GtkSourceEncoding` boxed type represents a character encoding. It is used for example by `GtkSourceFile`. Note that the text in GTK widgets is always encoded in UTF-8.

#### Functions

###### gtk_source_encoding_get_all

Gets all encodings.

###### gtk_source_encoding_get_current

Gets the `GtkSourceEncoding` for the current locale.

###### gtk_source_encoding_get_default_candidates

Gets the list of default candidate encodings to try when loading a file.

###### gtk_source_encoding_get_from_charset

Gets a `GtkSourceEncoding` from a character set such as “UTF-8” or “ISO-8859-1”.

###### gtk_source_encoding_get_utf8

No description available.

#### Instance methods

###### gtk_source_encoding_copy

Used by language bindings.

###### gtk_source_encoding_free

Used by language bindings.

###### gtk_source_encoding_get_charset

Gets the character set of the `GtkSourceEncoding`, such as “UTF-8” or “ISO-8859-1”.

###### gtk_source_encoding_get_name

Gets the name of the `GtkSourceEncoding` such as “Unicode” or “Western”.

###### gtk_source_encoding_to_string

No description available.